<script setup lang="ts">
import { storeToRefs } from 'pinia'
import { useAccountStore } from '~~/store/account'
import { usePollStore } from '~~/store/poll'

const account = useAccountStore()
const poll = usePollStore()
const { full } = storeToRefs(account)
const { data: pollData, availablePoll } = storeToRefs(poll)
</script>

<template>
  <div v-if="full">
    <MCompanyPoll v-for="data in pollData" :id="data.id" :key="data.id" :data="data" />
  </div>
  <div v-else>
    <MStudentPoll v-for="data in availablePoll" :id="data.id" :key="data.id" :data="data" />
  </div>
</template>

<style scoped></style>
